<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}
$rproduct_clientid='';
$tripclientid='';$rcnt='';$client_main='';
$tyrenum_veh='';$rclient_code='';$rrate='';$rclient_name='';$rclient_id='';$rtown_id='';$rpackname='';$billtype='';
$cclient_name='';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();

if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['id'];
	$sql=mysql_query("delete from cf_liter_qty where liter_qty_id='$id'");
	header("location:add-sku.php?msg=You Have Successfully Deleted");
}
	
	
            $tablename='cf_liter_qty';
   			//$sqlObj->tablename=$tablename;
		   
		    if(isset($_POST['save'])){	
			$pdate=date("Y-m-d");
			if(isset($_POST['brandids'])){
			$brandids=addslashes($_POST['brandids']);
			}	
			if(isset($_POST['liter_name'])){
			$litername=addslashes($_POST['liter_name']);
			}
			if(isset($_POST['qty_kg'])){
			$qtykg=addslashes($_POST['qty_kg']);
			}
			
				$fieldname='(brandid,literids,kgqty,date)';
				$fieldvalue='"'.$brandids.'","'.$litername.'","'.$qtykg.'","'.$pdate.'"';				
				$qsy= "insert into ".$tablename.$fieldname." values(".$fieldvalue.")";
				$CreateClient 	= mysql_query($qsy);
				header("location:add-sku.php?msg=You Have Successfully Saved");
			}
			
			$literqty='';
			$liter_ids='';
			$kgqtys='';
			$brandid='';
			
			
				if(isset($_REQUEST['sku_id'])){
					$skuid=mysql_escape_string($_REQUEST['sku_id']);
					$rqry=mysql_query("SELECT *  FROM cf_liter_qty where liter_qty_id='".$skuid."'");
					if($rqry && mysql_num_rows($rqry)>0)
					{
						while($sobj=mysql_fetch_object($rqry))
						{
							$literqtyid=$sobj->liter_qty_id;
							$brandid=$sobj->brandid;
							$liter_ids=$sobj->literids;
							$kgqtys=$sobj->kgqty;
							}
					}
			}
			
			if(isset($_POST['Edit']))
			{
				
				if(isset($_POST['brandids'])){
				$brandids=addslashes($_POST['brandids']);
				}
				if(isset($_POST['liter_name'])){
				$litername=addslashes($_POST['liter_name']);
				}
				if(isset($_POST['qty_kg'])){
				$qtykg=addslashes($_POST['qty_kg']);
				}
			
				$updata="brandid='".$brandids."',literids='".$litername."',kgqty='".$qtykg."'";
				$qsy= "update ".$tablename." set ".$updata." where liter_qty_id='".$skuid."'";
				$CreateClient 	= mysql_query($qsy);
				header("location:add-sku.php?msg=You Have Successfully Saved");
					
			}
			
			$literid = '';		
			

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type="text/javascript" src="scripts_date/jquery.js"></script>
<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>
<script src="js/addmoretown.js"></script>



<script type="text/javascript">
<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->

/*function showClient(str)
{
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtHint").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	   document.getElementById("txtHint").innerHTML=xmlhttp.responseText;
	   // document.getElementById("txtHinttwn").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_rate.php?str="+str,true);
xmlhttp.send();
}
*/

</script>

	<script type='text/javascript'>
	
function validationrate()
{
if(document.prodfrmname.client_subid.value=='')
	{
		alert("Enter Client Code");
		document.prodfrmname.client_subid.focus();
		return false;
	}
if(document.prodfrmname.rate.value=='')
	{
		alert("Enter rate");
		document.prodfrmname.rate.focus();
		return false;
	}
if(document.prodfrmname.townname.value=='')
	{
		alert("Enter Townname");
		document.prodfrmname.townname.focus();
		return false;
	}
	if(document.prodfrmname.clientname.value=='')
	{
		alert("Enter Client Name");
		document.prodfrmname.clientname.focus();
		return false;
	}
	if(document.prodfrmname.billtype.value=='')
	{
		alert("Enter Billtype");
		document.prodfrmname.billtype.focus();
		return false;
	}
	
}
function showtownvalued(str)
{
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtHint").innerHTML="";
  return;
  }
  document.getElementById("txtHint").innerHTML='<img src="images/loading.gif" border="0">';
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("txtHint").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_rate_town.php?str="+str,true);
xmlhttp.send();
}
//--client code dropdown
function showClientcode(str){
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtcodeshow").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	   document.getElementById("txtcodeshow").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_ratecode.php?str="+str,true);
xmlhttp.send();
}
</script>
<style>
.lableentrytext{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
}
.addimgs{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.addimgs a:hover{
color: #000;
}
.rimg{
font-size: 12px;
color: #505050;
clear: both;
margin-bottom: 5px;
text-transform: capitalize;
cursor:hand;
cursor:pointer;
}
.rimg a:hover{
color: #000;
}
.td-border-11 td{border:1px solid #ddd; padding:15px; font-size:13px;}

</style>
</head>

<body>
<div class="wrapper">
  <div>
<?php 
	include("header.php");
?>
 
</div>
 
 
 <div class="tabbedArea">
  
  <div class="tabBody">
   <h1>Add Sku</h1>
   <form name="prodfrmname" method="post" action="">
   <?php
	$div=1;
	?>
<input type="hidden" id="divcnt" value="<?=$div?>" name="cnt"/>
   <div class="addEmp" style="margin-bottom:0px; border-bottom:0px solid;width:1000px;">
        <table width="70%" border="0" cellspacing="0" cellpadding="10">
          <tr>
            <td valign="top">
            <!-- <div class="form1" style="min-width:600px;border-right:0px; "> -->
           <div class="form1"> 
           
           <div>  
		   <p class="input1">Brand<span style="color:#FF3300">*</span></p>
                <select class="input1 input3" name="brandids" >
                     <option value="">Select Brand</option>
                         <?php 
                            $sq_brand="select * from cf_brand";
                            $arrbrd=mysql_query($sq_brand);
                            while($resbrand1=mysql_fetch_array($arrbrd))
                            {
                        ?>
                            <option value="<?=$resbrand1['brand_id']?>" <? if($resbrand1['brand_id']==$brandid) {?>selected<? }?> ><?=$resbrand1['brand_name']?></option>
                        <?php
                                }
                     ?>
    		 </select>
     	   </div>
           
           <div>  
		    <?php
		  
	
?>  
<script>

 function selectbilltype(val){
			 if(val=="Volume Billing"){
			 document.getElementById("rateper").innerHTML="kilogram";
			 document.getElementById("pckname").style.display="none";
			 }
			 if(val=="KM  Billing"){
			 document.getElementById("rateper").innerHTML="KM";
			 document.getElementById("pckname").style.display="none";
			 }
			  if(val=="Pack Billing"){
			  if(document.getElementById("rateper")){
			 document.getElementById("rateper").innerHTML="Pack";
			 }
			  document.getElementById("pckname").style.display="block";
			 }
			 }
</script>
<p class="input1">Liter<span style="color:#FF3300">*</span></p>
                <select class="input1 input3" name="liter_name" >
                     <option value="">select Liter</option>
                         <?php 
                            $sq_liter1="select * from cf_liter";
                            $arr1=mysql_query($sq_liter1);
                            while($resliter1=mysql_fetch_array($arr1))
                            {
                        ?>
                            <option value="<?=$resliter1['liter_id']?>" <? if($resliter1['liter_id']==$liter_ids) {?>selected<? }?> ><?=$resliter1['liter_qty']?></option>
                        <?php
                                }
                     ?>
    		 </select>
     	   </div>

		   <div>
      			<p id="divshw" class="input1">Kg<span style="color:#FF3300">*</span></p>
                <input name="qty_kg" class="input1 input3"  type="text" value="<?=$kgqtys?>">  
     	   </div>

            
          <div><table width="70%" border="0" cellspacing="0" cellpadding="10">
       <tr>
         <td colspan="2"><div class="searchField1">
         <?php
	 	if(isset($_REQUEST['sku_id'])){
	  ?>	 
      <input name="Edit" type="submit" class="input1" value="Edit" onClick="return validationrate();"/>
      <?php }else { ?>   
     <input name="save" type="submit" class="input1" value="Save" onClick="return validationrate();"/>
	  <?php } ?>

        </div>
        </td>
          </tr>
        </table></div>
			
			</div>
        </td>
            <td valign="top">
<table width="100%" border="0" cellpadding="0" cellspacing="0" class="td-border-11">
  <tr>
    <td>No</td>
    <td>Brand Name</td>
    <td>Liter</td>
    <td>Qty</td>
    <td>Edit</td>
    <td>Delete</td>
  </tr>
  <?php 
  $i=1;
  $rqry="SELECT *  FROM cf_liter_qty join cf_liter on cf_liter_qty.literids = cf_liter.liter_id  join cf_brand on cf_liter_qty.brandid = cf_brand.brand_id";
			$sqry=mysql_query($rqry);
			if($sqry && mysql_num_rows($sqry)>0)
			{
				while($sobj=mysql_fetch_object($sqry))
				{
					$brand_name=$sobj->brand_name;
					$literqtyid=$sobj->liter_qty_id;
					$literqty=$sobj->liter_qty;
					$kgqtys=$sobj->kgqty;
					
					
					?>
					<tr>
                    <td><?=$i?></td>
                    <td><?=$brand_name?></td>
					<td><?=$literqty?></td>
					<td><?=$kgqtys?></td>
					<td><a href="add-sku.php?sku_id=<?php echo $literqtyid; ?>" style="color:#FF9900">Edit</a></td>
					<td class="tr_td_r" ><a href="add-sku.php?del=delete&id=<?php echo $literqtyid; ?>" onClick="return confirm('Do you really want to delete this field?');"><img src="images/delete.png" title="Delete"></a></td> 
					</tr>
				<?php 
					$i++;
					}
				}
			
  ?>
  
</table>
</td>
          </tr>
        </table>
	<div id="div2">
	</div>
	
       

<div class="mand"><p>Fields marked <span style="color:#FF3300">*</span> are Mandatory</p></div>
</div>
   </form>
   </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
  <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>


		






